#
# Conditional build:
%bcond_without	tests	# unit tests

%define		module		dkimpy
Summary:	DKIM, ARC, and TLSRPT email signing and verification
Summary(pl.UTF-8):	Podpisywanie i weryfikacja e-maili DKIM, ARC oraz TLSRPT
Name:		python3-%{module}
Version:	1.1.8
Release:	1
License:	BSD-like
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/d/dkimpy/%{module}-%{version}.tar.gz
# Source0-md5:	74b0fd4e1ffcbc25b30955e71864dd06
URL:		https://launchpad.net/dkimpy
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-PyNaCl
BuildRequires:	python3-authres
BuildRequires:	python3-dns >= 1.16
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python module that implements DKIM (DomainKeys Identified Mail) email
signing and verification (RFC 6376).

%description -l pl.UTF-8
Moduł Pythona implementujący podpisywanie i weryfikację e-maili DKIM
(DomainKeys Identified Mail).

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
%{__python3} test.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README.md
%attr(755,root,root) %{_bindir}/arcsign
%attr(755,root,root) %{_bindir}/arcverify
%attr(755,root,root) %{_bindir}/dkimsign
%attr(755,root,root) %{_bindir}/dkimverify
%attr(755,root,root) %{_bindir}/dknewkey
%{_mandir}/man1/arcsign.1*
%{_mandir}/man1/arcverify.1*
%{_mandir}/man1/dkimsign.1*
%{_mandir}/man1/dkimverify.1*
%{_mandir}/man1/dknewkey.1*
%{py3_sitescriptdir}/dkim
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%changelog
* Wed May 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-dkimpy.git;a=log;h=master

* Wed May 28 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> ada6a5c
- Up to 1.1.8

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 9ddf209
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> ef3d630
- python 3.13 rebuild

* Wed Apr 24 2024 Marcin Krol <hawk@tld-linux.org> 607fd4b
- updated to 1.1.6

* Sun Oct 09 2022 Jakub Bogusz <qboosh@pld-linux.org> aaeff7f
- pl, fixed tests

* Sun May 29 2022 Marcin Krol <hawk@tld-linux.org> fd58a4d
- cleanup

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 113057f
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 57347b9
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 418395d
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 18f7bcb
- rebuild with python 3.10

* Mon Mar 15 2021 Jan Rękorajski <baggins@pld-linux.org> 239afa5
- new

